Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.util
Class FastHashMap

    java.lang.Object
      org.hibernate.util.FastHashMap

All Implemented Interfaces:
  Serializable, Map

    public final class FastHashMap

extends Object
implements Map, Serializable

A customized implementation of `java.util.HashMap` designed to operate in a multithreaded environment where the large majority of method calls are read-only, instead of structural changes. Read calls are non-synchronized and write calls perform the following steps:

- Clone the existing collection
- Perform the modification on the clone
- Replace the existing collection with the (modified) clone

NOTE: If you are creating and accessing a `HashMap` only within a single thread, you should use `java.util.HashMap` directly (with no synchronization), for maximum performance.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry`

Constructor Summary
`FastHashMap()` Construct a an empty map.
`FastHashMap(int capacity)` Construct an empty map with the specified capacity.
`FastHashMap(int capacity, float factor)` Construct an empty map with the specified capacity and load factor.
`FastHashMap(Map map)` Construct a new map with the same mappings as the specified map.

Method Summary
`void` | `clear()` Remove all mappings from this map.
`Object` | `clone()` Return a shallow copy of this `FastHashMap` instance.
`boolean` | `containsKey(Object key)` Return `true` if this map contains a mapping for the specified key.
`boolean` | `containsValue(Object value)` Return `true` if this map contains one or more keys mapping to the specified value.
`Set` | `entrySet()` Return a collection view of the mappings contained in this map.
`boolean` | `equals(Object o)` Compare the specified object with this list for equality.
`Object` | `get(Object key)` Return the value to which this map maps the specified key.
`int` | `hashCode()` Return the hash code value for this map.
`boolean` | `isEmpty()` Return `true` if this map contains no mappings.
`Set` | `keySet()` Return a set view of the keys contained in this map.
`Object` | `put(Object key, Object value)` Associate the specified value with the specified key in this map.
`void` | `putAll(Map in)` Copy all of the mappings from the specified map to this one, replacing any mappings with the same keys.
`Object` | `remove(Object key)` Remove any mapping for this key, and return any previously mapped value.
`int` | `size()` Return the number of key-value mappings in this map.
`String` | `toString()`
`Collection` | `values()` Return a collection view of the values contained in this map.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FastHashMap

    public FastHashMap()

  Construct a an empty map.

### FastHashMap

    public FastHashMap(int capacity)

  Construct an empty map with the specified capacity.

  Parameters:
    `capacity` - The initial capacity of the empty map

### FastHashMap

    public FastHashMap(int capacity,
                       float factor)

  Construct an empty map with the specified capacity and load factor.

  Parameters:
    `capacity` - The initial capacity of the empty map
    `factor` - The load factor of the new map

### FastHashMap

    public FastHashMap(Map map)

  Construct a new map with the same mappings as the specified map.

  Parameters:
    `map` - The map whose mappings are to be copied

Method Detail

### clear

    public void clear()

  Remove all mappings from this map.

  Specified by:
    `clear` in interface `Map`

### clone

    public Object clone()

  Return a shallow copy of this `FastHashMap` instance. The keys and values themselves are not copied.

  Overrides:
    `clone` in class `Object`

### containsKey

    public boolean containsKey(Object key)

  Return `true` if this map contains a mapping for the specified key.

  Specified by:
    `containsKey` in interface `Map`
  Parameters:
    `key` - Key to be searched for

### containsValue

    public boolean containsValue(Object value)

  Return `true` if this map contains one or more keys mapping to the specified value.

  Specified by:
    `containsValue` in interface `Map`
  Parameters:
    `value` - Value to be searched for

### entrySet

    public Set entrySet()

  Return a collection view of the mappings contained in this map. Each element in the returned collection is a `Map.Entry`.

  Specified by:
    `entrySet` in interface `Map`

### equals

    public boolean equals(Object o)

  Compare the specified object with this list for equality. This implementation uses exactly the code that is used to define the list equals function in the documentation for the `Map.equals` method.

  Specified by:
    `equals` in interface `Map`
  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - Object to be compared to this list

### get

    public Object get(Object key)

  Return the value to which this map maps the specified key. Returns `null` if the map contains no mapping for this key, or if there is a mapping with a value of `null`. Use the `containsKey()` method to disambiguate these cases.

  Specified by:
    `get` in interface `Map`
  Parameters:
    `key` - Key whose value is to be returned

### hashCode

    public int hashCode()

  Return the hash code value for this map. This implementation uses exactly the code that is used to define the list hash function in the documentation for the `Map.hashCode` method.

  Specified by:
    `hashCode` in interface `Map`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Return `true` if this map contains no mappings.

  Specified by:
    `isEmpty` in interface `Map`

### keySet

    public Set keySet()

  Return a set view of the keys contained in this map.

  Specified by:
    `keySet` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Associate the specified value with the specified key in this map. If the map previously contained a mapping for this key, the old value is replaced and returned.

  Specified by:
    `put` in interface `Map`
  Parameters:
    `key` - The key with which the value is to be associated
    `value` - The value to be associated with this key

### putAll

    public void putAll(Map in)

  Copy all of the mappings from the specified map to this one, replacing any mappings with the same keys.

  Specified by:
    `putAll` in interface `Map`
  Parameters:
    `in` - Map whose mappings are to be copied

### remove

    public Object remove(Object key)

  Remove any mapping for this key, and return any previously mapped value.

  Specified by:
    `remove` in interface `Map`
  Parameters:
    `key` - Key whose mapping is to be removed

### size

    public int size()

  Return the number of key-value mappings in this map.

  Specified by:
    `size` in interface `Map`

### values

    public Collection values()

  Return a collection view of the values contained in this map.

  Specified by:
    `values` in interface `Map`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD